pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

What platforms work with X11_TYPE=native (Was: Advice sought: which X11 for NetBSD 5.* (going forward) ??)

If you use build X apps from pkgsrc please read on...

On 7 September 2011 18:38, Francois Tigeot <> 
> On Wed, Sep 07, 2011 at 05:38:34PM +0100, David Brownlee wrote:
>> Either pkgsrc needs to be able to build against native X11 for
>> netbsd-5, or it needs to default to using modular for netbsd-5.
>> If the X in netbsd-5 is too old then its too old, all the more reason
>> to ensure its fixed in current ready for netbsd-6.
> I'm not sure if this is because /usr/X11R7 X is too old or for another reason,
> but I've had more failures building and running LibreOffice with it than with
> the pkgsrc version.
> Anyone wanting to run a desktop should use X11_TYPE=modular IMHO.

I think its "just" a matter of determining what X11_TYPE=native
platforms are supported. If there is no-one willing and able to
maintain a given platform then it should be set to modular.

For reference the current platforms already set modular:
- DragonFly
- Darwin < 9 (OS X Tiger and earlier)
- Haiku
- OSF1

Actually it might make more sense to default to X11_TYPE=modular and
have platforms that want to use native have to explicitly specify

I suspect for NetBSD it should be defaulting to X11_TYPE=modular for
at least NetBSD-4.x and earlier.

Quick straw poll - happy to collate if people reply direct to avoid
cluttering up the list:
Who uses X11_TYPE=native vs X11_TYPE=modular - with particular
reference to !NetBSD platforms, but interested in all.

Home | Main Index | Thread Index | Old Index